Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class ProcessGetInputHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.PropertyHandler
              org.jbpm.kie.services.impl.bpmn2.ProcessGetInputHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class ProcessGetInputHandler

extends PropertyHandler
implements org.drools.core.xml.Handler

Field Summary

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`ProcessGetInputHandler()`

Method Summary
`void` | `setRepository(ProcessDescriptionRepository repository)`
`void` | `setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

Methods inherited from class org.jbpm.bpmn2.xml.PropertyHandler
`end, generateNodeFor, initValidParents, initValidPeers`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, end, generateNodeFor, getValidParents, getValidPeers`

Constructor Detail

### ProcessGetInputHandler

    public ProcessGetInputHandler()

Method Detail

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.core.xml.Handler`
  Overrides:
    `start` in class `PropertyHandler`
  Throws:
    `SAXException`

### setRepositoryHelper

    public void setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)

### setRepository

    public void setRepository(ProcessDescriptionRepository repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.